| ghc-6.10.4: The GHC API | Contents | Index

CmmCPS

Synopsis

cmmCPS :: DynFlags -> [Cmm] -> IO [Cmm]

Documentation
Converts C-- with full proceedures and parameters to a CPS transformed C-- with the stack made manifest.
cmmCPS

:: DynFlags | Dynamic flags: -dcmm-lint -ddump-cps-cmm
-> [Cmm] | Input C-- with Proceedures
-> IO [Cmm] | Output CPS transformed C--
Top level driver for the CPS pass

Produced by Haddock version 2.4.2